summaryrefslogtreecommitdiffstats
path: root/Tools
diff options
context:
space:
mode:
authorasami <asami@FreeBSD.org>2000-08-29 07:58:44 +0000
committerasami <asami@FreeBSD.org>2000-08-29 07:58:44 +0000
commit1a74df2992e21e59cd0700c6af68a3ad66be937b (patch)
tree8af43d438063f29d0e20e14485352de64f84829b /Tools
parentd40dbda1c407584db8497e08241bd96316730fd6 (diff)
downloadFreeBSD-ports-1a74df2992e21e59cd0700c6af68a3ad66be937b.zip
FreeBSD-ports-1a74df2992e21e59cd0700c6af68a3ad66be937b.tar.gz
A small script to copy packages over to the ftp site. It is not integrated
into the main build scripts yet so you need to call this one manually.
Diffstat (limited to 'Tools')
-rwxr-xr-xTools/portbuild/scripts/cppackages35
1 files changed, 35 insertions, 0 deletions
diff --git a/Tools/portbuild/scripts/cppackages b/Tools/portbuild/scripts/cppackages
new file mode 100755
index 0000000..f5eb1fd
--- /dev/null
+++ b/Tools/portbuild/scripts/cppackages
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+# configurable variables
+rhost=ftp.freebsd.org
+ruser=asami
+rdir=w/ports/i386/tmp
+pb=/a/asami/portbuild
+
+lock=${pb}/cppackages
+
+unset DISPLAY
+
+echo "Subject: package copying logs"
+echo
+echo "Called with arguments: "${1+"$@"}
+echo "Started at $(date)"
+
+if [ $# != 1 ]; then
+ echo "usage: $0 branch"
+ exit 1
+fi
+
+if [ -e ${lock} ]; then
+ echo "Skipped since lock file exists"
+ exit 1
+fi
+
+touch ${lock}
+
+cd $pb
+tar -cf - $1/packages | ssh $rhost -l $ruser tar -C $rdir -xvf - 2>&1 | tail -100
+
+echo "Ended at $(date)"
+
+rm -f ${lock}
OpenPOWER on IntegriCloud